Perform action on communication message

post

/hcmRestApi/resources/11.13.18.05/businessProcessNotifications/action/performCommunicationAction

Performs an action, such as Approve or Reject, on a communication message and saves any related comments and attachments included in the request payload.

Request

Header Parameters
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
Request Body - application/vnd.oracle.adf.action+json ()
Root Schema : schema
Type: object
Show Source
Nested Schema : actionParams
Type: object
Additional Properties Allowed
Show Source
Identifiers and action details for performing an action on a communication message.
Nested Schema : attachments
Type: array
Attachment details to be stored and associated with the communication message as part of performing the action.
Show Source
Nested Schema : items
Type: object
Additional Properties Allowed
Show Source
Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Body ()
Root Schema : schema
Type: object
Show Source
Nested Schema : result
Type: object
Additional Properties Allowed
Show Source
Returns success when the action is processed without issues, otherwise provides detailed error messages.
Back to Top